Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List push notifications

Prev Next
Post
/list/push

Used to get summary information of push actions related to campaigns.


Simple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.


Each individual event for a campaign where messages are sent is known as a push action.

Body parameters
object
apptoken
string Required

Your App token

limit
integer (int32)

Used with offset for pagination

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "574495211",
      "project_id": "PROJECT_ID",
      "application_id": "5471",
      "campaign_id": "43671731",
      "trigger_id": "374807814",
      "message_type": "3",
      "send_mode": "1",
      "type": "web",
      "environment": "chrome",
      "target_count": "2",
      "sent_count": "2",
      "error_count": "0",
      "delivery_count": "2",
      "open_count": "0",
      "click_count": "0",
      "error": "0",
      "create_time": "1602772007",
      "message": {
        "en": {
          "id": "574495211",
          "cid": "43671731",
          "title": "Push title",
          "alert": "Body of the message",
          "url": "URL",
          "icon": "ICON_URL"
        }
      }
    },
    {
      "id": "574506869",
      "project_id": "2780",
      "application_id": "5471",
      "campaign_id": "43594935",
      "trigger_id": "374882618",
      "message_type": "3",
      "send_mode": "1",
      "type": "web",
      "environment": "chrome",
      "target_count": "1",
      "sent_count": "1",
      "error_count": "0",
      "delivery_count": "1",
      "open_count": "0",
      "click_count": "0",
      "error": "0",
      "create_time": "1602773457",
      "message": {
        "id": "574506869",
        "cid": "43594935",
        "title": "Push title",
        "alert": "Push text",
        "url": "URL",
        "icon": "ICON_URL",
        "image": "IMG_URL"
      }
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string